Commit b4f51728 authored by Elvis Angelaccio's avatar Elvis Angelaccio

Bump to KF5 >= 5.37 and drop version check

Task: T6575
parent a1712226
......@@ -8,7 +8,7 @@ set (KDE_APPLICATIONS_VERSION "${KDE_APPLICATIONS_VERSION_MAJOR}.${KDE_APPLICATI
project(ark VERSION ${KDE_APPLICATIONS_VERSION})
set(QT_MIN_VERSION 5.6.0)
set(KF5_MIN_VERSION 5.31.0)
set(KF5_MIN_VERSION 5.37.0)
find_package(ECM ${KF5_MIN_VERSION} REQUIRED NO_MODULE)
set(CMAKE_MODULE_PATH ${ECM_MODULE_PATH} ${CMAKE_CURRENT_SOURCE_DIR}/cmake/modules)
......
......@@ -60,7 +60,6 @@
#include <KToggleAction>
#include <KLocalizedString>
#include <KXMLGUIFactory>
#include <kparts_version.h>
#include <QAction>
#include <QCursor>
......@@ -895,12 +894,7 @@ void Part::slotLoadingFinished(KJob *job)
m_infoPanel->updateWithDefaults();
emit setWindowCaption(QString());
#if KPARTS_VERSION >= QT_VERSION_CHECK(5, 37, 0)
// See https://phabricator.kde.org/D6856
closeUrl();
#else
setUrl(QUrl());
#endif
} else {
emit completed();
}
......
Markdown is supported
0% or
You are about to add 0 people to the discussion. Proceed with caution.
Finish editing this message first!
Please register or to comment